Name:		    jena
Version:	    2.6.4
Release:	    5%{?dist}
BuildArch:	    noarch
Summary:	    Java framework for building Semantic Web applications

License:	    BSD
URL:		    http://jena.sourceforge.net/index.html
# cvs -z3 -d:pserver:anonymous@jena.cvs.sourceforge.net:/cvsroot/jena export -r Jena-2_6_4 jena2
# rm -rf jena2/lib
# rm -rf jena2/tools-lib
# tar caf jena-2.6.4-CLEAN.tar.xz jena2
Source0:	    %{name}-%{version}-CLEAN.tar.xz

# Assembly ID was commented out
Patch0:		    %{name}-fixed-assembly.patch
# Test testSameAdhocClassUS in TestLiteralImpl fails on assert
# I am communicating with upstream in regard to fix
# The patch is now not applied as other test failures happen
Patch1:		    %{name}-test-fail.patch

BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	icu4j
BuildRequires:	jena-iri
BuildRequires:	maven
BuildRequires:	maven-dependency-plugin
BuildRequires:  maven-surefire-provider-junit4

Requires:	    java
Requires:	    jpackage-utils
Requires:	    icu4j
Requires:	    jena-iri

%description
Jena is a Java framework for building Semantic Web applications. It provides 
a programmatic environment for RDF, RDFS and OWL, SPARQL and includes a 
rule-based inference engine. The Jena Framework includes:

- A RDF API
- Reading and writing RDF in RDF/XML, N3 and N-Triples
- An OWL API
- In-memory and persistent storage
- SPARQL query engine


%package javadoc
Summary:	    API documentation for %{name}
Group:		    Documentation
Requires:	    jpackage-utils

%description javadoc
The API documentation of %{name}.


%prep
%setup -qn %{name}2
%patch0 -p1

find -iname '*.jar' -delete

%build
# Some of the tests were failing randomly. I will fix this
# later, the package is needed in rawhide because it blocks
# update of maven-doap-plugin
mvn-rpmbuild install javadoc:aggregate -Dmaven.test.skip


%install
# JAR
# Comes with submodules, they all go to the folder jena in javadir
install -Dpm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar

# POM
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

# JavaDoc
install -Ddm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files
%doc copyright.txt readme.html README.txt ReleaseNotes.txt
%{_javadir}/%{name}/%{name}.jar
%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc copyright.txt 
%doc %{_javadocdir}/%{name}


%changelog
* Tue Jul 24 2012 Tomas Radej <tradej@redhat.com> - 2.6.4-5
- BR on icu4j

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 04 2011 Tomas Radej <tradej@redhat.com> - 2.6.4-2
- Removed all JAR files
- Skipped tests

* Fri Sep 23 2011 Tomas Radej <tradej@redhat.com> - 2.6.4-1
- Initial Release

